Maintenance Window Options - Get
获取可用维护时段的列表。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/maintenanceWindowOptions/current?api-version=2025-01-01&maintenanceWindowOptionsName={maintenanceWindowOptionsName}
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
database
|
path | True |
string |
数据库的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
server
|
path | True |
string |
服务器的名称。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
|
maintenance
|
query | True |
string |
维护时段选项名称。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure 运营顺利完成。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow.
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Gets a list of available maintenance windows for a selected database.
示例请求
示例响应
{
"name": "current",
"type": "Microsoft.Sql/servers/databases/maintenancewindows",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/maintenancewindowoptions/current",
"properties": {
"allowMultipleMaintenanceWindowsPerCycle": true,
"defaultDurationInMinutes": 120,
"isEnabled": true,
"maintenanceWindowCycles": [
{
"dayOfWeek": "Saturday",
"duration": "PT60M",
"startTime": "00:00:00"
}
],
"minCycles": 2,
"minDurationInMinutes": 60,
"timeGranularityInMinutes": 5
}
}
定义
| 名称 | 说明 |
|---|---|
|
created |
创建资源的标识的类型。 |
|
Day |
维护时段。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
Maintenance |
维护时段选项。 |
|
Maintenance |
维护时段时间范围。 |
|
system |
与创建和上次修改资源相关的元数据。 |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DayOfWeek
维护时段。
| 值 | 说明 |
|---|---|
| Sunday |
星期日 |
| Monday |
Monday |
| Tuesday |
Tuesday |
| Wednesday |
Wednesday |
| Thursday |
Thursday |
| Friday |
Friday |
| Saturday |
Saturday |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
附加信息。 |
| type |
string |
附加信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
MaintenanceWindowOptions
维护时段选项。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| name |
string |
资源的名称 |
| properties.allowMultipleMaintenanceWindowsPerCycle |
boolean |
是否允许每个周期多个维护时段。 |
| properties.defaultDurationInMinutes |
integer (int32) |
维护时段的默认持续时间。 |
| properties.isEnabled |
boolean |
是否为数据库启用维护时段。 |
| properties.maintenanceWindowCycles |
可用维护周期,例如 {Saturday, 0, 4860}, {wednesday, 0, 2460}。 |
|
| properties.minCycles |
integer (int32) |
要对数据库设置的最小维护时段周期数。 |
| properties.minDurationInMinutes |
integer (int32) |
维护时段的最短持续时间。 |
| properties.timeGranularityInMinutes |
integer (int32) |
维护时段的时间粒度(以分钟为单位)。 |
| systemData |
Azure 资源管理器 包含 createdBy 和 modifiedBy 信息的元数据。 |
|
| type |
string |
资源类型。 例如,“Microsoft。计算/虚拟机“或”Microsoft“。存储/存储账户” |
MaintenanceWindowTimeRange
维护时段时间范围。
| 名称 | 类型 | 说明 |
|---|---|---|
| dayOfWeek |
维护时段。 |
|
| duration |
string |
维护时段的持续时间(以分钟为单位)。 |
| startTime |
string |
从上午 12 点开始时间分钟偏移量。 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
资源上次修改的时间戳 (UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |